<template>
  <div>
    <div class="basic">基本信息</div>
    <div class="top-text">
      <div class="substance">
        <p>
          指标选项：<span>{{ optionvalue }}</span>
        </p>
      </div>
    </div>
    <div class="headline">
      <div class="basics">问题配置</div>
      <div class="headbottom">
        <el-button
          type="primary"
          icon="el-icon-circle-plus-outline"
          @click="addzbiao"
          >添加指标</el-button
        >
        <el-button type="primary" icon="el-icon-s-claim">保存</el-button>
      </div>
    </div>
    <div class="valuetop" v-for="(item, index) in deployList" :key="item.id">
      <div class="val-text">
        <div>
          <span>{{ item.name }}</span>
        </div>
        <div class="text-icon" @click="deletei(index)">
          <i class="el-icon-delete" />
        </div>
      </div>
      <div class="val-bon">
        <el-form ref="form" :model="item" label-width="90px">
          <el-form-item label="语音文本">
            <el-input v-model="item.name"></el-input>
          </el-form-item>
          <el-form-item label="语音路径">
            <el-input v-model="item.name"></el-input>
          </el-form-item>

          <el-form-item label="自定义规则">
            <el-input type="textarea" v-model="item.valuetop"></el-input>
          </el-form-item>
        </el-form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      optionvalue: "医院普通话通用库",

      deployList: [
        {
          id: 1,
          name: "您好，我是科尔沁左中旗人民医院的智能回访助手！",
          valuetop:
            "(?!.*忘|.*不|.*没)^.*(是|有|对|做|作|检|查|复诊|好|参加|复诊|去(过|好|了|完|医院)|来(过|了|医院))|没错|对呀|可能|(已经|早)去了|开了药|腰带|吊带|要的|(?<!没)有的|表带,10;要,5",
        },
        {
          id: 2,
          name: "您好，我是科尔沁左中旗人民医院的智能回访助手！",
          valuetop:
            "(不|没|谁|鬼|怎么).*(病|可能|知道|了解|清楚|懂|明白|确认|确定|晓得|知晓|认得|识得|印象|熟悉|记|会|关心|关注|注意|告诉|通知|听)",
        },
      ],
    };
  },

  created() {},

  methods: {
    onSubmit() {
      console.log("submit!");
    },
    deletei(index) {
      console.log(index);
      this.deployList.splice(index, 1);
    },
    addzbiao() {
      const ids = this.deployList.length + 1;
      console.log(ids);
      this.deployList.push({
        id: ids,
        name: "",
        valuetop: "",
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.top-text {
  margin: 15px;
  margin-top: 0;
  padding: 0 30px 30px 30px;
  background: #f2f5fc;
  border: 1px solid #dcdfe6;
  -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12),
    0 0 6px 0 rgba(0, 0, 0, 0.04);
}
.basic {
  height: 50px;
  margin: 15px;
  margin-bottom: 0;
  padding: 0 20px 20px 20px;
  line-height: 50px;
  background: #92c5f0;
}
.headline {
  display: flex;
  height: 50px;
  margin: 15px;
  margin-bottom: 0;
  padding: 0 20px 20px 20px;
  line-height: 50px;
  background: #92c5f0;
  justify-content: space-between;
}
.valuetop {
  .val-text {
    display: flex;
    height: 50px;
    margin: 15px;
    margin-bottom: 0;
    // padding: 0 20px 20px 20px;
    padding: 0 20px;
    align-items: center;
    background: #92c5f0;
    justify-content: space-between;
    .text-icon {
      width: 35px;
      height: 35px;
      line-height: 35px;
      text-align: center;
      background: #fafafa;
      cursor: pointer;
      border-radius: 5px;
    }
  }
  .val-bon {
    margin: 15px;
    margin-top: 0;
    padding: 30px;
    background: #f2f5fc;
    border: 1px solid #dcdfe6;
    -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.12),
      0 0 6px 0 rgba(0, 0, 0, 0.04);
  }
}
</style>
